<html>
<head>
<title>Ogre::Sphere Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Sphere.html">Sphere</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Sphere Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Sphere" -->
<p>A sphere primitive, mostly used for bounds checking.  
 <a href="classOgre_1_1Sphere.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>&gt;</code></p>

<p><a href="classOgre_1_1Sphere-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#a93cb05f8025668db930ef81a34dca47b">Sphere</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Standard constructor - creates a unit sphere around the origin.  <a href="#a93cb05f8025668db930ef81a34dca47b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#abd0dc8dd45b400a07d71115652d2dc20">Sphere</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;center, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> radius)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor allowing arbitrary spheres.  <a href="#abd0dc8dd45b400a07d71115652d2dc20"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#a8c0a5dee80bf790cdc5bd2a68f73a4c7">getRadius</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the radius of the sphere.  <a href="#a8c0a5dee80bf790cdc5bd2a68f73a4c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#aafe80cad31edd668b09981a6f836c8b1">setRadius</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> radius)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the radius of the sphere.  <a href="#aafe80cad31edd668b09981a6f836c8b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#ab33e56a0df43b2dfe3b72b59757e6f69">getCenter</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the center point of the sphere.  <a href="#ab33e56a0df43b2dfe3b72b59757e6f69"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#af2cd29ca81e68cdeb65b91a2667d6fbc">setCenter</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;center)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the center point of the sphere.  <a href="#af2cd29ca81e68cdeb65b91a2667d6fbc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#a26fc8402579d1256e222f34b6ac0ecf3">intersects</a> (const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;s) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not this sphere intersects another sphere.  <a href="#a26fc8402579d1256e222f34b6ac0ecf3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#ace0763611fbf75e156d6e34d399d5468">intersects</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;box) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not this sphere intersects a box.  <a href="#ace0763611fbf75e156d6e34d399d5468"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#aadca485853a6ae4535a3a9347ab6119b">intersects</a> (const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;plane) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not this sphere intersects a plane.  <a href="#aadca485853a6ae4535a3a9347ab6119b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#aa127d312d66a63b160825c4650c92e14">intersects</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;v) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not this sphere intersects a point.  <a href="#aa127d312d66a63b160825c4650c92e14"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#a9e9104e8e57c2fa2d30920989c725d1a">merge</a> (const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;oth)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Merges another <a class="el" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a> into the current sphere.  <a href="#a9e9104e8e57c2fa2d30920989c725d1a"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#a912c305cf5821240fe88a3a7ef59e67b">mRadius</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html#a4a6065226f4fbd7bc5f3cbe0c385d9c7">mCenter</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A sphere primitive, mostly used for bounds checking. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>A sphere in math texts is normally represented by the function x^2 + y^2 + z^2 = r^2 (for sphere's centered on the origin). <a class="el" href="namespaceOgre.html">Ogre</a> stores spheres simply as a center point and a radius. </dd></dl>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00051">51</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a93cb05f8025668db930ef81a34dca47b"></a><!-- doxytag: member="Ogre::Sphere::Sphere" ref="a93cb05f8025668db930ef81a34dca47b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Sphere.html#a93cb05f8025668db930ef81a34dca47b">Ogre::Sphere::Sphere</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Standard constructor - creates a unit sphere around the origin. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00058">58</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

</div>
</div>
<a class="anchor" id="abd0dc8dd45b400a07d71115652d2dc20"></a><!-- doxytag: member="Ogre::Sphere::Sphere" ref="abd0dc8dd45b400a07d71115652d2dc20" args="(const Vector3 &amp;center, Real radius)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Sphere.html#a93cb05f8025668db930ef81a34dca47b">Ogre::Sphere::Sphere</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>center</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>radius</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor allowing arbitrary spheres. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">center</td><td>The center point of the sphere. </td></tr>
    <tr><td class="paramname">radius</td><td>The radius of the sphere. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00063">63</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab33e56a0df43b2dfe3b72b59757e6f69"></a><!-- doxytag: member="Ogre::Sphere::getCenter" ref="ab33e56a0df43b2dfe3b72b59757e6f69" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1Sphere.html#ab33e56a0df43b2dfe3b72b59757e6f69">Ogre::Sphere::getCenter</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the center point of the sphere. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00073">73</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

<p>Referenced by <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00095">Ogre::PlaneBoundedVolume::intersects()</a>, and <a class="el" href="OgreSphere_8h_source.html#l00100">merge()</a>.</p>

</div>
</div>
<a class="anchor" id="a8c0a5dee80bf790cdc5bd2a68f73a4c7"></a><!-- doxytag: member="Ogre::Sphere::getRadius" ref="a8c0a5dee80bf790cdc5bd2a68f73a4c7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Sphere.html#a8c0a5dee80bf790cdc5bd2a68f73a4c7">Ogre::Sphere::getRadius</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the radius of the sphere. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00067">67</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

<p>Referenced by <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00095">Ogre::PlaneBoundedVolume::intersects()</a>, and <a class="el" href="OgreSphere_8h_source.html#l00100">merge()</a>.</p>

</div>
</div>
<a class="anchor" id="a26fc8402579d1256e222f34b6ac0ecf3"></a><!-- doxytag: member="Ogre::Sphere::intersects" ref="a26fc8402579d1256e222f34b6ac0ecf3" args="(const Sphere &amp;s) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Sphere.html#a26fc8402579d1256e222f34b6ac0ecf3">Ogre::Sphere::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not this sphere intersects another sphere. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00079">79</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

<p>References <a class="el" href="OgreSphere_8h_source.html#l00055">mCenter</a>, <a class="el" href="OgreSphere_8h_source.html#l00054">mRadius</a>, <a class="el" href="OgreMath_8h_source.html#l00374">Ogre::Math::Sqr()</a>, and <a class="el" href="OgreVector3_8h_source.html#l00367">Ogre::Vector3::squaredLength()</a>.</p>

</div>
</div>
<a class="anchor" id="ace0763611fbf75e156d6e34d399d5468"></a><!-- doxytag: member="Ogre::Sphere::intersects" ref="ace0763611fbf75e156d6e34d399d5468" args="(const AxisAlignedBox &amp;box) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Sphere.html#a26fc8402579d1256e222f34b6ac0ecf3">Ogre::Sphere::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td>
          <td class="paramname"><em>box</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not this sphere intersects a box. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00085">85</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div>
<a class="anchor" id="aadca485853a6ae4535a3a9347ab6119b"></a><!-- doxytag: member="Ogre::Sphere::intersects" ref="aadca485853a6ae4535a3a9347ab6119b" args="(const Plane &amp;plane) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Sphere.html#a26fc8402579d1256e222f34b6ac0ecf3">Ogre::Sphere::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;&#160;</td>
          <td class="paramname"><em>plane</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not this sphere intersects a plane. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div>
<a class="anchor" id="aa127d312d66a63b160825c4650c92e14"></a><!-- doxytag: member="Ogre::Sphere::intersects" ref="aa127d312d66a63b160825c4650c92e14" args="(const Vector3 &amp;v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Sphere.html#a26fc8402579d1256e222f34b6ac0ecf3">Ogre::Sphere::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not this sphere intersects a point. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00095">95</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00374">Ogre::Math::Sqr()</a>.</p>

</div>
</div>
<a class="anchor" id="a9e9104e8e57c2fa2d30920989c725d1a"></a><!-- doxytag: member="Ogre::Sphere::merge" ref="a9e9104e8e57c2fa2d30920989c725d1a" args="(const Sphere &amp;oth)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Sphere.html#a9e9104e8e57c2fa2d30920989c725d1a">Ogre::Sphere::merge</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&#160;</td>
          <td class="paramname"><em>oth</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Merges another <a class="el" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a> into the current sphere. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00100">100</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

<p>References <a class="el" href="OgreSphere_8h_source.html#l00073">getCenter()</a>, <a class="el" href="OgreSphere_8h_source.html#l00067">getRadius()</a>, <a class="el" href="OgreMath_8h_source.html#l00374">Ogre::Math::Sqr()</a>, <a class="el" href="OgreMath_8h_source.html#l00380">Ogre::Math::Sqrt()</a>, and <a class="el" href="OgreVector3_8h_source.html#l00367">Ogre::Vector3::squaredLength()</a>.</p>

</div>
</div>
<a class="anchor" id="af2cd29ca81e68cdeb65b91a2667d6fbc"></a><!-- doxytag: member="Ogre::Sphere::setCenter" ref="af2cd29ca81e68cdeb65b91a2667d6fbc" args="(const Vector3 &amp;center)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Sphere.html#af2cd29ca81e68cdeb65b91a2667d6fbc">Ogre::Sphere::setCenter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>center</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the center point of the sphere. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00076">76</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

</div>
</div>
<a class="anchor" id="aafe80cad31edd668b09981a6f836c8b1"></a><!-- doxytag: member="Ogre::Sphere::setRadius" ref="aafe80cad31edd668b09981a6f836c8b1" args="(Real radius)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Sphere.html#aafe80cad31edd668b09981a6f836c8b1">Ogre::Sphere::setRadius</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>radius</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the radius of the sphere. </p>

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00070">70</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4a6065226f4fbd7bc5f3cbe0c385d9c7"></a><!-- doxytag: member="Ogre::Sphere::mCenter" ref="a4a6065226f4fbd7bc5f3cbe0c385d9c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Sphere.html#a4a6065226f4fbd7bc5f3cbe0c385d9c7">Ogre::Sphere::mCenter</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00055">55</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSphere_8h_source.html#l00079">intersects()</a>.</p>

</div>
</div>
<a class="anchor" id="a912c305cf5821240fe88a3a7ef59e67b"></a><!-- doxytag: member="Ogre::Sphere::mRadius" ref="a912c305cf5821240fe88a3a7ef59e67b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Sphere.html#a912c305cf5821240fe88a3a7ef59e67b">Ogre::Sphere::mRadius</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSphere_8h_source.html#l00054">54</a> of file <a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSphere_8h_source.html#l00079">intersects()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
